/* CSS Document */

#main{
	margin-bottom: clamp(80px, calc(160 / 992 * 100dvw), 160px);
}

#detail{
	display: grid;
	grid-template-columns: var(--wrap);
	justify-content: center;
	margin-top: clamp(16px, calc(32 / 992 * 100dvw), 32px);
	overflow: hidden;
	#text{
		margin-top: clamp(24px, calc(32 / 992 * 100dvw), 32px);
	}
	#links{
		margin-top: clamp(40px, calc(72 / 992 * 100dvw), 72px);
	}
	#documents{
		margin-top: clamp(40px, calc(72 / 992 * 100dvw), 72px);
	}
	#photo{
		grid-row: 2;
		justify-self: center;
		width: min(100%, 720px);
		margin-top: clamp(24px, calc(32 / 992 * 100dvw), 32px);
	}
}

#title{
	display: grid;
	grid-row-gap: 8px;
	padding-bottom: 16px;
	border-bottom: 1px solid #dedede;
	& h2{
		font-weight: 700;
		font-size: clamp(20px, calc(36 / 768 * 100dvw), 36px);
		letter-spacing: 0.1em;
	}
	& h2+div{
		order: -1;
		display: flex;
		flex-wrap: wrap;
		align-items: center;
		grid-gap: 8px;
		& time{
			font-weight: 500;
			font-size: 12px;
		}
		& ul{
			display: flex;
			flex-wrap: wrap;
			grid-gap: 8px;
		}
		& li{
			padding: 4px;
			background: var(--color-theme);
			color: #fff;
			font-weight: 500;
			font-size: 12px;
			line-height: 1;
			&.tagNew{
				background: #dfb22a;
				color: inherit;
			}
			&.tagCheck{
				background: var(--color);
			}
		}
	}
}

#text{
	font-weight: 500;
}

#links{
	& h3{
		display: none;
	}
	& ul{
		display: flex;
		flex-wrap: wrap;
		justify-content: center;
		grid-gap: 16px;
		@media (min-width: 992px) {
			& a{
				min-width: calc((100% - 32px) / 3);
			}
		}
	}
	& li{
		display: contents;
	}
	& a{
		display: grid;
		grid-template-columns: 1fr auto;
		align-items: center;
		column-gap: 0.5em;
		min-width: min(100%, 420px);
		min-height: clamp(48px, calc(64 / 768 * 100dvw), 64px);
		padding: 0.25em 1.5em 0.25em 2em;
		background: #fff;
		border: 1px solid currentColor;
		border-radius: clamp(24px, calc(32 / 768 * 100dvw), 32px);
		font-weight: 500;
		font-size: clamp(14px, calc(18 / 768 * 100dvw), 18px);
		text-align: center;
		text-decoration: none;
		&:hover{
			background: var(--color-theme);
			border-color: transparent;
			color: #fff;
		}
		&:after{
			content: "";
			aspect-ratio: 1;
			width: 16px;
			background: currentColor;
			-webkit-mask: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16"><polyline points="5.6 3.2 10.4 8 5.6 12.8" style="fill: none; stroke: black; stroke-linecap: round; stroke-linejoin: round; stroke-width: 2px;"/></svg>') no-repeat center / 16px;
		}
		@media (min-width: 768px) {
			&:after{
				-webkit-mask-image: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16"><polyline points="4.8 1.6 11.2 8 4.8 14.4" style="fill: none; stroke: black; stroke-linecap: round; stroke-linejoin: round; stroke-width: 2px;"/></svg>');
			}
		}
	}
}

#documents{
	& h3{
		display: grid;
		grid-template-columns: auto 1fr;
		column-gap: 0.5em;
		font-weight: 500;
		font-size: clamp(16px, calc(18 / 768 * 100dvw), 18px);
		&:before{
			content: "";
			height: 1em;
			border-left: 3px solid var(--color-theme);
			transform: translateY(calc(0.825em - 50%));
		}
	}
	& ul{
		display: grid;
		justify-content: start;
		grid-gap: 16px;
		margin-top: 16px;
	}
	& li{
		display: contents;
	}
	& a{
		display: grid;
		grid-template-columns: 1fr auto;
		align-items: center;
		column-gap: 1em;
		min-height: clamp(48px, calc(64 / 768 * 100dvw), 64px);
		padding: 0.25em 1.5em 0.25em 2em;
		background: #fff;
		border: 1px solid currentColor;
		border-radius: clamp(24px, calc(32 / 768 * 100dvw), 32px);
		font-weight: 500;
		font-size: clamp(14px, calc(18 / 768 * 100dvw), 18px);
		text-align: center;
		text-decoration: none;
		&:hover{
			background: var(--color-theme);
			border-color: transparent;
			color: #fff;
		}
		&:after{
			content: "";
			aspect-ratio: 1;
			width: 20px;
			background: currentColor;
			-webkit-mask: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M9.29,14.67c.2.2.45.29.71.29s.51-.1.71-.29l6-6c.39-.39.39-1.02,0-1.41s-1.02-.39-1.41,0l-4.29,4.29V2c0-.55-.45-1-1-1s-1,.45-1,1v9.54l-4.29-4.29c-.39-.39-1.02-.39-1.41,0s-.39,1.02,0,1.41l6,6ZM19,12c-.55,0-1,.45-1,1v5H2v-5c0-.55-.45-1-1-1s-1,.45-1,1v6c0,.55.45,1,1,1h18c.55,0,1-.45,1-1v-6c0-.55-.45-1-1-1Z"/></svg>') no-repeat center / contain;
		}
	}
}

#photo{
	& dl{
		display: grid;
		border-radius: 4px;
		overflow: hidden;
		& dt,
		& dd{
			grid-column: 1;
			grid-row: 1;
		}
	}
	& dt{
		display: grid;
		align-content: end;
		aspect-ratio: 3 / 2;
		padding: 1em;
		background: linear-gradient(0deg, rgba(0, 0, 0, 0.6), transparent 30%);
		color: #fff;
		font-weight: 500;
		font-size: clamp(14px, calc(16 / 768 * 100dvw), 16px);
		text-align: center;
		overflow: hidden;
		z-index: 1;
		&:empty{
			display: none;
		}
	}
	& dd{
		& img{
			aspect-ratio: 3 / 2;
			object-fit: cover;
		}
	}
	&:not(.slick-slider){
		display: grid;
		& dl{
			grid-column: 1;
			grid-row: 1;
			&:nth-child(n+2){
				visibility: hidden;
			}
		}
	}
	&.slick-slider{
		display: grid;
		grid-template-columns: auto 1fr auto;
		align-items: center;
		@media (min-width: 992px) {
			grid-template-columns: 0 1fr 0;
		}
		.slick-list{
			grid-column: 2;
			margin-inline: calc(0px - clamp(8px, calc(20 / 992 * 100dvw), 20px));
			overflow: visible;
		}
		.slick-slide{
			margin-inline: clamp(8px, calc(20 / 992 * 100dvw), 20px);
		}
		.slick-arrow{
			justify-self: center;
		}
		.slick-dots{
			grid-column: 1 / 4;
			grid-row: 2;
			margin-top: clamp(16px, calc(40 / 992 * 100dvw), 40px);
		}
	}
}

#pagenation{
	display: grid;
	grid-template-columns: var(--wrap);
	justify-content: center;
	margin-top: clamp(32px, calc(56 / 992 * 100dvw), 56px);
}

.slick-arrow{
	all: unset;
	box-sizing: border-box;
	cursor: pointer;
	position: relative;
	aspect-ratio: 1;
	width: clamp(40px, calc(56 / 768 * 100dvw), 56px);
	background: #fff;
	border: 1px solid #ccc;
	border-radius: 100%;
	color: inherit;
	font-size: 0;
	transition: all 0.2s ease-out;
	z-index: 1;
	&:hover{
		background: var(--color);
		border-color: transparent;
		color: #fff;
	}
	&:before{
		content: "";
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		background: currentColor;
		-webkit-mask: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16" style="fill: none; stroke: black; stroke-linecap: round; stroke-linejoin: round; stroke-width: 2px;"><polyline points="5 2 11 8 5 14"/></svg>') no-repeat center / 16px;
	}
	&.slick-prev:before{
		transform: scale(-1, 1);
	}
}

.slick-dots{
	display: flex;
	flex-wrap: wrap;
	place-content: center;
	grid-gap: 16px 32px;
	padding: 2px;
	& li{
		aspect-ratio: 1;
		width: 8px;
		background: #d6d6d6;
		border-radius: 100%;
		overflow: hidden;
		transition: transform 0.2s ease-out;
		&.slick-active{
			background: #dfb22a;
			transform: scale(1.5);
		}
	}
	& button{
		opacity: 0;
	}
}

.pswp__counter{
	visibility: hidden;
}




